=== debian/changelog ===
s3ql (1.5-1) unstable; urgency=low

  * New upstream release.
  * Don't crash when using Google Storage backend. Closes: #646232.
  * Use dh_sphinxdoc.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 24 Oct 2011 19:16:12 -0400

s3ql (1.4-1) unstable; urgency=low

  * New upstream release.

  * Depend on fuse | fusebsd. Closes: #634337.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 06 Oct 2011 11:20:25 -0400

s3ql (1.2-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-llfuse >= 0.36, API was changed in non-backwards
    compatible way.
  * Depend on Python >= 2.6.6, previous versions unusable due to
    Python bug 6312.
  * Don't ship our own version of underscore JavaScript library, depend
    on libjs-underscore package instead.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 28 Sep 2011 21:00:04 -0400

s3ql (1.0.1-2) unstable; urgency=low

  * Install pcp as parallel-cp to avoid file name conflict with
    pcp ("Performance Co-Pilot") package. Closes: #632473.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 03 Jul 2011 10:44:00 -0400

s3ql (1.0.1-1) unstable; urgency=low

  * First official debian release. Closes: #626651

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 01 Jul 2011 14:02:17 -0400
