=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_installchangelogs:
	dh_installchangelogs Changes.txt

override_dh_auto_build:
	python setup.py build_sphinx build

override_dh_auto_install:
	python setup.py install --root=debian/s3ql --install-layout=deb \
               --install-lib=/usr/share/s3ql --install-scripts=/usr/share/s3ql

override_dh_link:
	dh_link
	# Don't link scripts ending in .py 
	for entry in debian/s3ql/usr/share/s3ql/*; do \
	    if [ -d "$$entry" ] || [ ! -x "$$entry" ] \
               || [ "$${entry%.py}" != "$$entry" ]; then \
               continue; \
            fi; \
            ln -s ../share/s3ql/`basename "$$entry"` \
                  "debian/s3ql/usr/bin/`basename \"$$entry\"`"; \
        done

override_dh_install:
	dh_install
	# Rename to avoid conflict with pcp package
	(cd debian/s3ql/usr/share/man/man1/; mv pcp.1 parallel-cp.1)

override_dh_auto_clean:
	# We don't want to call setup.py clean, because this
	# requires a number of (potentially uninstalled) build-dependencies.
	rm -rf dist setup.log build doc
