## s3ql 1.7

=== debian/changelog ===
s3ql (1.7-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 27 Nov 2011 14:40:58 -0500

s3ql (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 22 Nov 2011 11:04:35 -0500
