## s3ql 1.8.1

=== debian/changelog ===
s3ql (1.8.1-1) unstable; urgency=low

  * Add versioned depends on python-argparse. Closes: #652751.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 05 Dec 2011 20:36:44 -0500
