=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: s3ql
 Section: misc
 Priority: optional
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.6.6
 Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
@@ -12,11 +12,10 @@
                python-apsw (>= 3.7.0),
                libsqlite3-dev (>= 3.7.0),
                python-sphinx (>= 1.0.7+dfsg),
-               python-argparse,
+               python-argparse (>= 1.1),
                python-unittest2,
-               python-llfuse (>= 0.36),
+               python-llfuse (>= 0.37),
                python-pycryptopp,
-               python-paramiko,
                python-lzma (>= 0.5.3),
                texlive-latex-base,
                texlive-latex-recommended,
@@ -34,16 +33,13 @@
          ${python:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends},
-         python-apsw (>= 3.7.0),
          libsqlite3-0 (>= 3.7.0),
-         python-lzma (>= 0.5.3),
-         python-paramiko,
-         python-pycryptopp,
-         python-setuptools,
          fuse [linux-any] | fuse4bsd [kfreebsd-any],
          psmisc,
-         python-argparse,
-         python-llfuse (>= 0.36)
+         python-argparse (>= 1.1),
+         python-llfuse (>= 0.37),
+         python-apsw (>= 3.7.0),
+         python-lzma (>= 0.5.3)
 Description: Full-featured file system for online data storage
  S3QL is a file system that stores all its data online. It supports
  online storage services like Amazon S3 as well as arbitrary FTP or
@@ -66,9 +62,14 @@
 Architecture: any
 Section: debug
 Priority: extra
-Recommends: python-dbg
-Depends: s3ql (= ${binary:Version}), 
-         ${shlibs:Depends}, 
+Recommends: python-dbg,
+            python-llfuse-dbg,
+            python-apsw-dbg,
+            python-pycryptopp-dbg,
+            python-lzma-dbg
+Depends: s3ql (= ${binary:Version}),
+         ${python:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Description: Full-featured file system for online data storage (debugging symbols)
  S3QL is a file system that stores all its data online. It supports
@@ -90,4 +91,3 @@
  .
  This package contains the debugging symbols as well as the extension
  built for the Python 2 debug interpreter.
-
