## s3ql 1.9

=== debian/changelog ===
s3ql (1.9-1) unstable; urgency=low

  * Depend on python >= 2.7 (now required by upstream). Closes: #653641.
  * New upstream release.
  * Dropped obsolete argparse.diff patch.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 21 Jan 2012 13:38:25 -0500
