=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: s3ql
 Section: misc
 Priority: optional
-X-Python-Version: >= 2.6.6
+X-Python-Version: >= 2.7
 Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
 Build-Depends: debhelper (>= 8),
-               python-dev (>= 2.6.6-3~),
+               python-dev (>= 2.7),
                python-dbg,
                python-setuptools (>= 0.6.14),
                python-apsw (>= 3.7.0),
                libsqlite3-dev (>= 3.7.0),
                python-sphinx (>= 1.0.7+dfsg),
-               python-argparse (>= 1.1),
+               python (>= 2.7), 
                python-unittest2,
                python-llfuse (>= 0.37),
                python-pycryptopp,
@@ -36,7 +36,6 @@
          libsqlite3-0 (>= 3.7.0),
          fuse [linux-any] | fuse4bsd [kfreebsd-any],
          psmisc,
-         python-argparse (>= 1.1),
          python-llfuse (>= 0.37),
          python-apsw (>= 3.7.0),
          python-lzma (>= 0.5.3)
