## s3ql 1.10

=== debian/changelog ===
s3ql (1.10-1) unstable; urgency=low

  * Bumped standards to 3.9.3, no changes required.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 24 Feb 2012 21:51:01 -0500
