## s3ql 1.11.1

=== debian/changelog ===
s3ql (1.11.1-3+deb7u1) wheezy-security; urgency=high

  * SECURITY UPDATE for CVE-2014-0485 remote code execution vulnerability.

    For non-encrypted file systems, an attacker with control over the
    communication with the storage backend or the ability to
    manipulate the data stored in the backend was able to trigger
    execution of arbitrary code by mount.s3ql, fsck.s3ql, mkfs.s3ql
    and s3qladm.

    Encrypted file systems were protected against this if the attacker
    did not know the file system passphrase. Mounting an encrypted
    file system prepared by an attacker (which is possible if the
    attacker shares the file system passphrase) thus allowed the
    attacker to execute arbitrary code even when using encryption.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 19 Aug 2014 20:44:17 -0700

s3ql (1.11.1-3) testing-proposed-updates; urgency=low

  * Call fflush() on FILE stream before repositioning underlying
    file descriptor. Closes: 701350.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 24 Feb 2013 18:51:42 -0800

s3ql (1.11.1-2) unstable; urgency=low

  * Add dependency on python-pkg-resources. Closes: 672916.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 15 May 2012 18:41:38 -0400

s3ql (1.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 04 May 2012 11:12:29 -0400

s3ql (1.11-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 29 Apr 2012 15:22:56 -0400
