=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                texlive-latex-extra,
                texlive-fonts-recommended,
                cython (>= 0.15.1)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/s3ql/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/s3ql/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/
@@ -38,7 +38,8 @@
          psmisc,
          python-llfuse (>= 0.37),
          python-apsw (>= 3.7.0),
-         python-lzma (>= 0.5.3)
+         python-lzma (>= 0.5.3),
+         python-pkg-resources
 Description: Full-featured file system for online data storage
  S3QL is a file system that stores all its data online. It supports
  online storage services like Amazon S3 as well as arbitrary FTP or
