=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 	dh_testdir
 	python-dbg setup.py build -g
 	python setup.py build -g
-	python setup.py test
 	touch $@
 
 build_sphinx:
@@ -46,17 +45,10 @@
                --install-scripts=/usr/lib/s3ql \
                --no-compile -O0 --install-layout=deb
 
-	# It would be nicer to install in /usr/share/s3ql and just move
-	# the arch-dependent .so to /usr/lib, but then python doesn't
-	# find them. If we install symlinks instead (which the code below
-	# does), gdb does not find the corresponding debugging extensions
-	# because they end up in /usr/lib/debug/usr/lib/.
-	#find debian/tmp/usr/share/ -name "*.so" -printf "%P\n" | \
-	#while read file; do \
-	#	mkdir -p `dirname "debian/tmp/usr/lib/$${file}"`; \
-	#	mv "debian/tmp/usr/share/$${file}" "debian/tmp/usr/lib/$${file}"; \
-	#	dh_link -ptmp "/usr/lib/$${file}" "/usr/share/$${file}"; \
-	#done
+override_dh_auto_test:
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	python setup.py test
+endif
 
 override_dh_install:
 	dh_install
@@ -64,10 +56,12 @@
 	# Rename to avoid conflict with pcp package
 	(cd debian/s3ql/usr/share/man/man1/; mv pcp.1 parallel-cp.1)
 
-        # Install debugging extension and remove from regular package
+	# Install debugging extension and remove from regular package
 	(cd debian/s3ql; \
-            find . -name "*_d.so" -printf "%P\0" -delete) \
-            | xargs -0 dh_install --autodest -ps3ql-dbg
+	    find . -name "*_d.so" -or \
+	           -regextype posix-egrep -regex ".+-[a-z0-9]*d[a-z]*.so" \
+	           -printf "%P\0" -delete) \
+	| xargs -0 dh_install --autodest -ps3ql-dbg
 
 override_dh_link:
 	rm -rf debian/s3ql-dbg/usr/share/doc/s3ql-dbg
@@ -90,4 +84,6 @@
 	rm -rf build-python* build_cython build_sphinx build-stamp
 
 override_dh_strip:
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip -ps3ql --dbg-package=s3ql-dbg
+endif
