## s3ql 1.12

=== debian/changelog ===
s3ql (1.12-1ubuntu0.1) raring-proposed; urgency=low

  * Call fflush() on FILE stream before repositioning underlying
    file descriptor. LP: #1179281.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 24 Feb 2013 18:51:42 -0800

s3ql (1.12-1) unstable; urgency=low

  * New upstream release.
  * Bumped debhelper compatibility level to 9 to get support for
    dpkg-buildflags.
  * Added lintian override for hardening-no-fortify-functions,
    this is a false positive.
  * Added patches/buildd-fix.diff to prevent errors when trying
    to write logs during autobuilding.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 05 Sep 2012 20:22:18 -0400
