=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: misc
 Priority: optional
 X-Python-Version: >= 2.7
-Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                python-dev (>= 2.7),
                python-dbg,
                python-setuptools (>= 0.6.14),
