## s3ql 1.14

=== debian/changelog ===
s3ql (1.14-1) unstable; urgency=low

  * Update standards version to 3.9.4, no other changes
    required.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 09 Apr 2013 19:08:15 -0700

s3ql (1.13.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed metadata corruption with recent eglibc (triggered test
    failure on build). Closes: #701350

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 23 Feb 2013 17:46:56 -0800
