=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: misc
 Priority: optional
 X-Python-Version: >= 2.7
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
 Build-Depends: debhelper (>= 9),
@@ -22,8 +21,9 @@
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
-               cython (>= 0.15.1)
-Standards-Version: 3.9.3
+               cython (>= 0.15.1),
+               python-pytest
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/s3ql/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/s3ql/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/
