## s3ql 1.15

=== debian/changelog ===
s3ql (1.15-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Nikolaus Rath ]
  * New upstream release.
  * Added autopkgtest data.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 15 Jun 2013 15:06:37 -0700
