=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: misc
 Priority: optional
 X-Python-Version: >= 2.7
+XS-Testsuite: autopkgtest
 Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
@@ -25,7 +26,7 @@
                python-pytest
 Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/s3ql/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/s3ql/trunk
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/s3ql/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/
 
 Package: s3ql
