=== debian/watch ===
# watch control file for uscan
version=3
opts=downloadurlmangle=s/^http:\/\/code.google.com\/\//http:\/\// \
  http://code.google.com/p/s3ql/downloads/list \
  (?:.+)/files/s3ql-(1\..+).tar.bz2 \
  debian
