## s3ql 1.16

=== debian/changelog ===
s3ql (1.16-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 12 Jul 2013 21:11:01 -0700
