=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XS-Testsuite: autopkgtest
 Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
-           Laszlo Boszormenyi <gcs@debian.hu>
+           Laszlo Boszormenyi <gcs@debian.org>
 Build-Depends: debhelper (>= 9),
                python-dev (>= 2.7),
                python-dbg,
