=== debian/tests/control ===
Tests: upstream-standard
Depends: python-pytest, rsync, s3ql

# This is really the same test suite, but when run with root
# access (or permission to mount fuse file systems), additional
# tests will be run.
Tests: upstream-with-fuse
Depends: python-pytest, rsync, s3ql
Restrictions: needs-root
