=== debian/watch ===
--- 
+++ 
@@ -4,4 +4,3 @@
   http://code.google.com/p/s3ql/downloads/list \
   (?:.+)/files/s3ql-(1\..+).tar.bz2 \
   debian
-
