## s3ql 2.5

=== debian/changelog ===
s3ql (2.5-2) unstable; urgency=low

  * Do not try to write logfiles into $HOME when running self tests.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 20 Oct 2013 11:38:32 -0700

s3ql (2.5-1) unstable; urgency=low

  * Added patch for Sphinx 1.1.3 compatibility.
  * New upstream release.
  * Fixed autopkgtests (this time a missing PYTHONPATH, LP: #1223514).

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 27 Aug 2013 20:17:06 -0700

s3ql (1.16-2) unstable; urgency=low

  * Updated uploader email address.
  * Removed obsolete lintian override.
  * Extended clean target, re-build should now work.
  * Updated package description.
  * Bump build dependency on Cython to 0.17
  * Fixed autopkgtests to use installed S3QL.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 18 Jul 2013 21:41:29 -0700
