## s3ql 2.7

=== debian/changelog ===
s3ql (2.7-1) unstable; urgency=low

  * New upstream release.
  * Estimate clock resolution more conservatively when running unit
    tests.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 16 Dec 2013 20:21:41 -0800
