=== debian/control ===
Source: s3ql
Section: misc
Priority: optional
X-Python-Version: >= 3.3
XS-Testsuite: autopkgtest
Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
           Laszlo Boszormenyi <gcs@debian.org>
Build-Depends: debhelper (>= 9),
               python3 (>= 3.3),
               python3-dev (>= 3.3),
               python3-dbg,
               python3-setuptools (>= 0.6.14),
               python3-apsw (>= 3.7.0),
               python3-sphinx (>= 1.1.3),
               python3-llfuse (>= 0.39),
               python3-crypto,
               python3-pytest (>= 2.3.3),
               cython3 (>= 0.17),
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-fonts-recommended,
               libsqlite3-dev (>= 3.7.0)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/s3ql/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/s3ql/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/

Package: s3ql
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
         fuse [linux-any] | fuse4bsd [kfreebsd-any],
         psmisc,
         python3-pkg-resources
Description: Full-featured file system for online data storage
 S3QL is a file system that stores all its data online using storage
 services like Google Storage, Amazon S3 or OpenStack. S3QL
 effectively provides a hard disk of dynamic, infinite capacity that
 can be accessed from any computer with internet access.
 .
 S3QL is a standard conforming, full featured UNIX file system that is
 conceptually indistinguishable from any local file
 system. Furthermore, S3QL has additional features like compression,
 encryption, data de-duplication, immutable trees and snapshotting
 which make it especially suitable for online backup and archival.
 .
 In addition to accessing online storage services directoly, S3QL can
 also store its data underneath a regular mount point. This enables
 the use of S3QL with e.g. NFS, CIFS or sftp servers.
 .
 S3QL is designed to favor simplicity and elegance over performance
 and feature-creep. Care has been taken to make the source code as
 readable and serviceable as possible. Solid error detection and error
 handling have been included from the very first line, and S3QL comes
 with extensive automated test cases.

Package: s3ql-dbg
Architecture: any
Section: debug
Priority: extra
Recommends: python3-dbg,
            python3-llfuse-dbg,
            python3-apsw-dbg,
            python3-crypto-dbg,
Depends: s3ql (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Full-featured file system for online data storage (debugging symbols)
 S3QL is a file system that stores all its data online using storage
 services like Google Storage, Amazon S3 or OpenStack. S3QL
 effectively provides a hard disk of dynamic, infinite capacity that
 can be accessed from any computer with internet access.
 .
 S3QL is a standard conforming, full featured UNIX file system that is
 conceptually indistinguishable from any local file
 system. Furthermore, S3QL has additional features like compression,
 encryption, data de-duplication, immutable trees and snapshotting
 which make it especially suitable for online backup and archival.
 .
 In addition to accessing online storage services directoly, S3QL can
 also store its data underneath a regular mount point. This enables
 the use of S3QL with e.g. NFS, CIFS or sftp servers.
 .
 S3QL is designed to favor simplicity and elegance over performance
 and feature-creep. Care has been taken to make the source code as
 readable and serviceable as possible. Solid error detection and error
 handling have been included from the very first line, and S3QL comes
 with extensive automated test cases.
 .
 This package contains the debugging symbols as well as the extension
 built for the Python 3 debug interpreter.
