## s3ql 2.11.1+dfsg

=== debian/changelog ===
s3ql (2.11.1+dfsg-3) jessie; urgency=medium

  * Add support to upgrade from file systems created with the 
    S3QL version in Debian Wheezy. Closes: #792685.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 19 Jul 2015 19:30:10 -0700

s3ql (2.11.1+dfsg-2) unstable; urgency=medium

  * Fixed a problem with fsck.s3ql aborting with an
    "apsw.ConstraintError" or incorrectly considering storage
    objects as missing when the connection to remote server is
    interrupted. Closes: #771452.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 02 Dec 2014 21:44:27 -0800

s3ql (2.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches/cve_2014_0485.diff, integrated upstream.
  * Dropped patches/fix_failsafe_test_race.diff, integrated upstream.

  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 04 Sep 2014 18:28:41 -0700

s3ql (2.10.1+dfsg-4) unstable; urgency=high

  * SECURITY UPDATE for CVE-2014-0485.

    A remote code execution vulnerability was fixed.

    An attacker with control over the communication with the storage
    backend or the ability to manipulate the data stored in the
    backend was able to trigger execution of arbitrary code by
    mount.s3ql, fsck.s3ql, mkfs.s3ql, s3qladm and s3ql_verify. Both
    encrypted and unencrypted file systems were vulnerable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 25 Aug 2014 17:21:09 -0700

s3ql (2.10.1+dfsg-3) unstable; urgency=medium

  * Added fix_failsafe_test_race.diff. Closes: #758013.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 20 Aug 2014 17:30:03 -0700

s3ql (2.10.1+dfsg-2) unstable; urgency=medium

  * Bumped python3-dugong dependency to 3.3 to fix build failures
    on kFreeBSD (and presumably also similar problems when running
    the software on both kFreeBSD and Linux).

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 06 Aug 2014 18:55:19 -0700

s3ql (2.10.1+dfsg-1) unstable; urgency=medium

  * Made system clock resolution heuristic in unittests even more
    conservative, there are still occasional build failures on i386.
  * New upstream release.
  * Dropped patches (integrated upstream):
    - C_locale_compat.diff
    - kfreebsd_compat.diff
    - sphinx_build_locale_fix.diff
  * Bumped python3-dugong dependency to 3.2
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 03 Aug 2014 20:49:06 -0700

s3ql (2.9+dfsg-2) unstable; urgency=medium

  * Cherry-picked kFreeBSD compatibility patch from upstream
    (Closes: #755358)
  * Cherry-picked upstream patch to support testing with C
    locale.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 19 Jul 2014 20:24:55 -0700

s3ql (2.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix automatic self test when running as root (Closes: #745476)
  * Dropped patches/sphinx-1.1.1-compat.diff (no longer required now
    that Sphinx 1.2 is in unstable).
  * Added patches/sphinx_build_locale_fix.diff (cherry-picked from upstream)
    to make documentation build work independent of system locale.
  * Added patches/check_dev_fuse_perms.diff to avoid running FUSE
    tests on continuous integration servers where /dev/fuse is
    not accessible.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 28 Jun 2014 12:30:45 -0700

s3ql (2.8.1+dfsg-1) unstable; urgency=low

  * Updated upstream project URL.
  * Added upstream PGP key and configured watch file for automatic
    verification.
  * New upstream release.
  * Do not crash when building with snapshot Cython versions
    (Closes: #742760)
  * Update Standards-Version to 3.9.5 (no changes needed).
  * Repackaged to exclude minified javascript files.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 14 Mar 2014 19:11:06 -0700
