=== debian/control ===
--- 
+++ 
@@ -3,27 +3,29 @@
 Priority: optional
 X-Python-Version: >= 3.3
 XS-Testsuite: autopkgtest
-Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
-           Laszlo Boszormenyi <gcs@debian.org>
+Maintainer: Nikolaus Rath <Nikolaus@rath.org>
+Uploaders: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                python3 (>= 3.3),
                python3-dev (>= 3.3),
                python3-dbg,
                python3-setuptools (>= 0.6.14),
                python3-apsw (>= 3.7.0),
-               python3-sphinx (>= 1.1.3),
+               python3-sphinx (>= 1.2),
                python3-llfuse (>= 0.39),
                python3-crypto,
+               python3-requests,
+               python3-dugong (>= 3.3),
                python3-pytest (>= 2.3.3),
+               python3-defusedxml,
                cython3 (>= 0.17),
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
                libsqlite3-dev (>= 3.7.0)
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/s3ql/
+Standards-Version: 3.9.5
+Homepage: https://bitbucket.org/nikratio/s3ql/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/s3ql/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/
