=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 # NOTE:
 # Anyone willing to convert the package to pure debhelper
-# (i.e., without dh sequencer) is very welcome to do so.
+# (i.e., without dh sequencer) and/or pybuild is very 
+# welcome to do so.
 
 %:
 	dh $@ --with python3,sphinxdoc
@@ -101,3 +102,10 @@
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip -ps3ql --dbg-package=s3ql-dbg
 endif
+
+.PHONY: get-orig-source
+get-orig-source:
+	# Work around bug #749225
+	PERL_LWP_SSL_VERIFY_HOSTNAME=0 \
+	uscan --rename --destdir=$(CURDIR) --repack --force-download \
+	      --download-current-version
