## s3ql 2.13+dfsg

=== debian/changelog ===
s3ql (2.13+dfsg-2) unstable; urgency=medium

  * Tighten dependency on python3-dugong, python3-apsw, and
    python3-llfuse. Closes: #778487.

  * Added missing build-dependency on python3-llfuse-dbg.
    Closes: #790525.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 01 Jul 2015 02:33:26 -0800

s3ql (2.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches/fix_test_check_objects_temp.diff (fixed upstream).
  * Dropped patches/debug_test_thread_hang.diff (fixed upstream).
  * Fixed a bug that caused fsck.s3ql to either abort with a
    "apsw.ConstraintError" or to incorrectly consider storage objects
    as missing when the connection to remote server is interrupted
    while retrieving the object list. Closes: #771452.
  * Fixed a problem where mount.s3ql would crash when unmouting the
    file system because it could not delete the cache directory. This
    could happen when the file system was not unmounted cleanly, but
    fsck.s3ql was then run on a different system (or using a different
    cache directory). Closes: #772052.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 31 Jan 2015 20:16:12 -0800

s3ql (2.12+dfsg-2) experimental; urgency=medium

  * Added patches/debug_test_thread_hang.diff to debug occasional test
    failures on buildds.
  * Added patches/fix_test_check_objects_temp.diff (cherry-picked
    upstream) to fix occasional test failures during build.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 10 Nov 2014 18:58:07 -0800

s3ql (2.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.6 (no changes needed).
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 09 Nov 2014 15:05:23 -0800
