=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
                python3-apsw (>= 3.7.0),
                python3-sphinx (>= 1.2),
                python3-llfuse (>= 0.39),
+               python3-llfuse-dbg (>= 0.39),
                python3-crypto,
                python3-requests,
-               python3-dugong (>= 3.3),
+               python3-dugong (>= 3.4),
                python3-pytest (>= 2.3.3),
                python3-defusedxml,
                cython3 (>= 0.17),
@@ -24,7 +25,7 @@
                texlive-latex-extra,
                texlive-fonts-recommended,
                libsqlite3-dev (>= 3.7.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://bitbucket.org/nikratio/s3ql/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/s3ql/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/
